import { ServiceResponse } from '../response/response.interface'

export interface IAgentModuleService {
  getModuleList(
    page: number,
    pageSize: number
  ): Promise<ServiceResponse<ModuleConfigurationType[]>>

  getModuleConfiguration(
    module_id: number
  ): Promise<ServiceResponse<ModuleConfigurationType>>

  saveModuleConfiguration(
    module_id: number,
    name: string,
    display_name: string,
    default_agent_type: number,
    default_agent_id: number
  ): Promise<ServiceResponse<any>>

  deleteModuleConfiguration(module_id: number): Promise<ServiceResponse<any>>
}
